#include "/lib/all_the_libs.glsl"
#include "/global/lighting.vsh"

varying mat3 TBN;
attribute vec4 at_tangent;

void main() {
    init_generic();

    if(dhMaterialId == DH_BLOCK_WATER) {
        material = 10002;
    }

    vec3 binormal = normalize(gbufferModelView[2].xyz);
    vec3 tangent  = normalize(gbufferModelView[0].xyz);
    TBN = mat3(tangent, binormal, Normal);

    #if TAA_MODE >= 2
    gl_Position.xy += jitterOffsets[int(framemod8)] * gl_Position.w/resolution;
    #endif
}
